import request from '@/utils/request'

// 获取派费列表
export function getGoods(parameter) {
  return request({
    url: '/api/dispatch-cost',
    method: 'get',
    params: parameter
  })
}

// 获取派费详情
export function getGoodsDetails(parameter) {
  return request({
    url: '/api/dispatch-cost/' + parameter,
    method: 'get',
  })
}

// 添加派费
export function addGoods(parameter) {
  return request({
    url: '/api/dispatch-cost',
    method: 'post',
    data: parameter
  })
}

// 编辑派费
export function putGoods(parameter) {
  return request({
    url: '/api/dispatch-cost',
    method: 'put',
    data: parameter
  })
}

// 删除派费
export function delGoods(parameter) {
  return request({
    url: '/api/dispatch-cost',
    method: 'delete',
    data: parameter
  })
}
